---
title: List History
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/go)

[Alerting](https://developers.cloudflare.com/api/go/resources/alerting)

[History](https://developers.cloudflare.com/api/go/resources/alerting/subresources/history)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# List History

client.Alerting.History.List(ctx, params) (\*V4PagePaginationArray\[[History](<https://developers.cloudflare.com/api/go/resources/alerting#(resource)%20alerting.history%20%3E%20(model)%20history%20%3E%20(schema)>)], error)

GET/accounts/{account\_id}/alerting/v3/history

Gets a list of history records for notifications sent to an account. The records are displayed for last `x` number of days based on the zone plan (free = 30, pro = 30, biz = 30, ent = 90).

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`Zero Trust: PII Read``Notifications Write``Notifications Read``Account Settings Write``Account Settings Read`

##### ParametersExpand Collapse

<details>

<summary>

params HistoryListParams

</summary>

AccountID param.Field\[string]

Path param: The account id

maxLength32

<a href="#(resource)%20alerting.history%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20account_id">Link to this property</a>

Before param.Field\[<a href="https://developers.cloudflare.com/api/go/resources/alerting/subresources/history/methods/list#(resource)%20alerting.history%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20before%20%3E%20(schema)">Time</a>]Optional

Query param: Limit the returned results to history records older than the specified date. This must be a timestamp that conforms to RFC3339.

formatdate-time

<a href="#(resource)%20alerting.history%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20before">Link to this property</a>

Page param.Field\[float64]Optional

Query param: Page number of paginated results.

minimum1

<a href="#(resource)%20alerting.history%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20page">Link to this property</a>

PerPage param.Field\[float64]Optional

Query param: Number of items per page.

maximum1000

minimum5

<a href="#(resource)%20alerting.history%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20per_page">Link to this property</a>

Since param.Field\[<a href="https://developers.cloudflare.com/api/go/resources/alerting/subresources/history/methods/list#(resource)%20alerting.history%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20since%20%3E%20(schema)">Time</a>]Optional

Query param: Limit the returned results to history records newer than the specified date. This must be a timestamp that conforms to RFC3339.

formatdate-time

<a href="#(resource)%20alerting.history%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20since">Link to this property</a>

</details>

[Link to this property](<#(resource)%20alerting.history%20%3E%20(method)%20list%20%3E%20(params)%20default>)

##### ReturnsExpand Collapse

<details>

<summary>

type History struct{…}

</summary>

ID stringOptional

UUID

maxLength32

<a href="#(resource)%20alerting.history%20%3E%20(model)%20history%20%3E%20(schema)%20%3E%20(property)%20id">Link to this property</a>

AlertBody stringOptional

Message body included in the notification sent.

<a href="#(resource)%20alerting.history%20%3E%20(model)%20history%20%3E%20(schema)%20%3E%20(property)%20alert_body">Link to this property</a>

AlertType stringOptional

Type of notification that has been dispatched.

<a href="#(resource)%20alerting.history%20%3E%20(model)%20history%20%3E%20(schema)%20%3E%20(property)%20alert_type">Link to this property</a>

Description stringOptional

Description of the notification policy (if present).

<a href="#(resource)%20alerting.history%20%3E%20(model)%20history%20%3E%20(schema)%20%3E%20(property)%20description">Link to this property</a>

Mechanism stringOptional

The mechanism to which the notification has been dispatched.

<a href="#(resource)%20alerting.history%20%3E%20(model)%20history%20%3E%20(schema)%20%3E%20(property)%20mechanism">Link to this property</a>

<details>

<summary>

MechanismType HistoryMechanismTypeOptional

The type of mechanism to which the notification has been dispatched. This can be email/pagerduty/webhook based on the mechanism configured.

</summary>

One of the following:

const HistoryMechanismTypeEmail HistoryMechanismType = "email"

<a href="#(resource)%20alerting.history%20%3E%20(model)%20history%20%3E%20(schema)%20%3E%20(property)%20mechanism_type%20%3E%20(member)%200">Link to this property</a>

const HistoryMechanismTypePagerduty HistoryMechanismType = "pagerduty"

<a href="#(resource)%20alerting.history%20%3E%20(model)%20history%20%3E%20(schema)%20%3E%20(property)%20mechanism_type%20%3E%20(member)%201">Link to this property</a>

const HistoryMechanismTypeWebhook HistoryMechanismType = "webhook"

<a href="#(resource)%20alerting.history%20%3E%20(model)%20history%20%3E%20(schema)%20%3E%20(property)%20mechanism_type%20%3E%20(member)%202">Link to this property</a>

</details>

<a href="#(resource)%20alerting.history%20%3E%20(model)%20history%20%3E%20(schema)%20%3E%20(property)%20mechanism_type">Link to this property</a>

Name stringOptional

Name of the policy.

<a href="#(resource)%20alerting.history%20%3E%20(model)%20history%20%3E%20(schema)%20%3E%20(property)%20name">Link to this property</a>

PolicyID stringOptional

The unique identifier of a notification policy

maxLength32

<a href="#(resource)%20alerting.history%20%3E%20(model)%20history%20%3E%20(schema)%20%3E%20(property)%20policy_id">Link to this property</a>

Sent TimeOptional

Timestamp of when the notification was dispatched in ISO 8601 format.

formatdate-time

<a href="#(resource)%20alerting.history%20%3E%20(model)%20history%20%3E%20(schema)%20%3E%20(property)%20sent">Link to this property</a>

</details>

[Link to this property](<#(resource)%20alerting.history%20%3E%20(model)%20history%20%3E%20(schema)>)

### List History

Go

HTTPTypeScriptPythonGoTerraform

```
package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/alerting"
  "github.com/cloudflare/cloudflare-go/option"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  page, err := client.Alerting.History.List(context.TODO(), alerting.HistoryListParams{
    AccountID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"),
  })
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", page)
}
```

200 example

```
{
  "errors": [
    {
      "message": "message",
      "code": 1000
    }
  ],
  "messages": [
    {
      "message": "message",
      "code": 1000
    }
  ],
  "success": true,
  "result": [
    {
      "id": "f174e90afafe4643bbbc4a0ed4fc8415",
      "alert_body": "SSL certificate has expired",
      "alert_type": "universal_ssl_event_type",
      "description": "Universal Certificate validation status, issuance, renewal, and expiration notices",
      "mechanism": "test@example.com",
      "mechanism_type": "email",
      "name": "SSL Notification Event Policy",
      "policy_id": "0da2b59ef118439d8097bdfb215203c9",
      "sent": "2021-10-08T17:52:17.571336Z"
    }
  ],
  "result_info": {
    "count": 1,
    "page": 1,
    "per_page": 20,
    "total_count": 2000
  }
}
```

##### Returns Examples

200 example

```
{
  "errors": [
    {
      "message": "message",
      "code": 1000
    }
  ],
  "messages": [
    {
      "message": "message",
      "code": 1000
    }
  ],
  "success": true,
  "result": [
    {
      "id": "f174e90afafe4643bbbc4a0ed4fc8415",
      "alert_body": "SSL certificate has expired",
      "alert_type": "universal_ssl_event_type",
      "description": "Universal Certificate validation status, issuance, renewal, and expiration notices",
      "mechanism": "test@example.com",
      "mechanism_type": "email",
      "name": "SSL Notification Event Policy",
      "policy_id": "0da2b59ef118439d8097bdfb215203c9",
      "sent": "2021-10-08T17:52:17.571336Z"
    }
  ],
  "result_info": {
    "count": 1,
    "page": 1,
    "per_page": 20,
    "total_count": 2000
  }
}
```